Adobe flash nie mogę zainstalować na ubuntu 11.10

Tutaj można zadać pytanie, jeśli Linuksa widzi się pierwszy raz w życiu ;)
sysz
Piegowaty Guziec
Piegowaty Guziec
Posty: 15
Rejestracja: 14 mar 2012, 13:07
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: sysz » 15 maja 2012, 15:55

Witam. Skoro twierdzisz że musi to do boju. Wklejam z konsoli:

Kod: Zaznacz cały

sylwester@sylwester-desktop:~$ sudo aptitude purge --purge adobe-flash-properties-gtk adobe-flashplugin
[sudo] password for sylwester: 
Następujące pakiety zostaną USUNIĘTE:        
  adobe-flash-properties-gtk{p} adobe-flashplugin{p} 
0 pakietów aktualizowanych, 0 instalowanych, 2 do usunięcia i 1 nie aktualizowanych.
Do pobrania 0 B archiwów. Zwolnione po rozpakowaniu: 18,1 MB.
Kontynuować? [Y/n/?] sudo aptitude clean

Zmiany rozmiaru będą pokazywane.

Następujące pakiety zostaną USUNIĘTE:
  adobe-flash-properties-gtk{p} <-500 kB>  adobe-flashplugin{p} <-17,6 MB>  
0 pakietów aktualizowanych, 0 instalowanych, 2 do usunięcia i 1 nie aktualizowanych.
Do pobrania 0 B archiwów. Zwolnione po rozpakowaniu: 18,1 MB.
Kontynuować? [Y/n/?] y
(Odczytywanie bazy danych ... 155662 files and directories currently installed.)
Usuwanie adobe-flash-properties-gtk ...
Usuwanie adobe-flashplugin ...
Przetwarzanie wyzwalaczy dla desktop-file-utils...
Przetwarzanie wyzwalaczy dla bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Przetwarzanie wyzwalaczy dla gnome-menus...
Przetwarzanie wyzwalaczy dla hicolor-icon-theme...
                                                  
sylwester@sylwester-desktop:~$ sudo aptitude clean
sylwester@sylwester-desktop:~$ sudo aptitude purge ~c
Nie zostaną zainstalowane, zaktualizowane ani usunięte żadne pakiety.
0 pakietów aktualizowanych, 0 instalowanych, 0 do usunięcia i 1 nie aktualizowanych.
Do pobrania 0 B archiwów. Zajęte po rozpakowaniu: 0 B.
                                             
sylwester@sylwester-desktop:~$ sudo updatedb && locate player.so
/opt/google/chrome/libgcflashplayer.so
/usr/lib/libvisual-0.4/input/input_mplayer.so
sylwester@sylwester-desktop:~$ dpkg -l | grep flash
sylwester@sylwester-desktop:~$ dpkg -l | grep lightspark
sylwester@sylwester-desktop:~$ dpkg -l | grep gnash
sylwester@sylwester-desktop:~$ 
Ostatnio zmieniony 15 maja 2012, 16:20 przez sysz, łącznie zmieniany 1 raz.
caViator
Sędziwy Jeż
Sędziwy Jeż
Posty: 89
Rejestracja: 06 lut 2012, 21:37
Płeć: Mężczyzna
Wersja Ubuntu: 12.04
Środowisko graficzne: KDE Plasma
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: caViator » 15 maja 2012, 16:01

To teraz

Kod: Zaznacz cały

sudo aptitude install adobe-flash-properties-gtk adobe-flashplugin

Kod: Zaznacz cały

sudo updatedb && locate player.so
i też pokaż wszystko.
P.S. zmień tagi quote na code ;)
sysz
Piegowaty Guziec
Piegowaty Guziec
Posty: 15
Rejestracja: 14 mar 2012, 13:07
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: sysz » 15 maja 2012, 16:06

Kod: Zaznacz cały

sylwester@sylwester-desktop:~$ sudo aptitude purge --purge adobe-flash-properties-gtk adobe-flashplugin
[sudo] password for sylwester: 
Następujące pakiety zostaną USUNIĘTE:        
  adobe-flash-properties-gtk{p} adobe-flashplugin{p} 
0 pakietów aktualizowanych, 0 instalowanych, 2 do usunięcia i 1 nie aktualizowanych.
Do pobrania 0 B archiwów. Zwolnione po rozpakowaniu: 18,1 MB.
Kontynuować? [Y/n/?] sudo aptitude clean

Zmiany rozmiaru będą pokazywane.

Następujące pakiety zostaną USUNIĘTE:
  adobe-flash-properties-gtk{p} <-500 kB>  adobe-flashplugin{p} <-17,6 MB>  
0 pakietów aktualizowanych, 0 instalowanych, 2 do usunięcia i 1 nie aktualizowanych.
Do pobrania 0 B archiwów. Zwolnione po rozpakowaniu: 18,1 MB.
Kontynuować? [Y/n/?] y
(Odczytywanie bazy danych ... 155662 files and directories currently installed.)
Usuwanie adobe-flash-properties-gtk ...
Usuwanie adobe-flashplugin ...
Przetwarzanie wyzwalaczy dla desktop-file-utils...
Przetwarzanie wyzwalaczy dla bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Przetwarzanie wyzwalaczy dla gnome-menus...
Przetwarzanie wyzwalaczy dla hicolor-icon-theme...
                                                  
sylwester@sylwester-desktop:~$ sudo aptitude clean
sylwester@sylwester-desktop:~$ sudo aptitude purge ~c
Nie zostaną zainstalowane, zaktualizowane ani usunięte żadne pakiety.
0 pakietów aktualizowanych, 0 instalowanych, 0 do usunięcia i 1 nie aktualizowanych.
Do pobrania 0 B archiwów. Zajęte po rozpakowaniu: 0 B.
                                             
sylwester@sylwester-desktop:~$ sudo updatedb && locate player.so
/opt/google/chrome/libgcflashplayer.so
/usr/lib/libvisual-0.4/input/input_mplayer.so
sylwester@sylwester-desktop:~$ dpkg -l | grep flash
sylwester@sylwester-desktop:~$ dpkg -l | grep lightspark
sylwester@sylwester-desktop:~$ dpkg -l | grep gnash
sylwester@sylwester-desktop:~$ 
caViator
Sędziwy Jeż
Sędziwy Jeż
Posty: 89
Rejestracja: 06 lut 2012, 21:37
Płeć: Mężczyzna
Wersja Ubuntu: 12.04
Środowisko graficzne: KDE Plasma
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: caViator » 15 maja 2012, 16:27

No to teraz to co w moim ostatnim poście :)
sysz
Piegowaty Guziec
Piegowaty Guziec
Posty: 15
Rejestracja: 14 mar 2012, 13:07
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: sysz » 15 maja 2012, 16:39

I prosze:

Kod: Zaznacz cały

sylwester@sylwester-desktop:~$ sudo aptitude install adobe-flash-properties-gtk adobe-flashplugin
[sudo] password for sylwester: 
Następujące NOWE pakiety zostaną zainstalowane:
  adobe-flash-properties-gtk adobe-flashplugin 
0 pakietów aktualizowanych, 2 instalowanych, 0 do usunięcia i 1 nie aktualizowanych.
Do pobrania 6722 kB archiwów. Zajęte po rozpakowaniu: 18,1 MB.
Pobieranie: 1 http://archive.canonical.com/ubuntu/ oneiric/partner adobe-flashplugin i386 11.2.202.233-0oneiric1 [6591 kB]
Pobieranie: 2 http://archive.canonical.com/ubuntu/ oneiric/partner adobe-flash-properties-gtk i386 11.2.202.233-0oneiric1 [131 kB]
Fetched 6722 kB in 1min 49s (61,4 kB/s)                                         
Zaznaczenie poprzednio niezaznaczonego pakietu adobe-flashplugin.
(Odczytywanie bazy danych ... 155639 files and directories currently installed.)
Rozpakowanie adobe-flashplugin (z .../adobe-flashplugin_11.2.202.233-0oneiric1_i386.deb) ...
Zaznaczenie poprzednio niezaznaczonego pakietu adobe-flash-properties-gtk.
Rozpakowanie adobe-flash-properties-gtk (z .../adobe-flash-properties-gtk_11.2.202.233-0oneiric1_i386.deb) ...
Przetwarzanie wyzwalaczy dla hicolor-icon-theme...
Przetwarzanie wyzwalaczy dla desktop-file-utils...
Przetwarzanie wyzwalaczy dla bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Przetwarzanie wyzwalaczy dla gnome-menus...
Konfigurowanie adobe-flashplugin (11.2.202.233-0oneiric1) ...
update-alternatives: użycie /usr/lib/adobe-flashplugin/libflashplayer.so jako dostarczającego /usr/lib/mozilla/plugins/flashplugin-alternative.so (mozilla-flashplugin) w tryb auto.
Konfigurowanie adobe-flash-properties-gtk (11.2.202.233-0oneiric1) ...
                                                  
sylwester@sylwester-desktop:~$ sudo updatedb && locate player.so
/opt/google/chrome/libgcflashplayer.so
/usr/lib/adobe-flashplugin/libflashplayer.so
/usr/lib/libvisual-0.4/input/input_mplayer.so
sylwester@sylwester-desktop:~$ sudo apt-get install locate
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Zostaną zainstalowane następujące NOWE pakiety:
  locate
0 aktualizowanych, 1 nowo instalowanych, 0 usuwanych i 1 nieaktualizowanych.
Konieczne pobranie 61,5 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 348 kB miejsca na dysku.
Pob: 1 http://pl.archive.ubuntu.com/ubuntu/ oneiric/universe locate i386 4.4.2-1ubuntu3 [61,5 kB]
Pobrano 61,5 kB w 1s (39,3 kB/s)  
Zaznaczenie poprzednio niezaznaczonego pakietu locate.
(Odczytywanie bazy danych ... 155663 files and directories currently installed.)
Rozpakowanie locate (z .../locate_4.4.2-1ubuntu3_i386.deb) ...
Przetwarzanie wyzwalaczy dla man-db...
Konfigurowanie locate (4.4.2-1ubuntu3) ...
sylwester@sylwester-desktop:~$ dpkg -l | grep flash
ii  adobe-flash-properties-gtk             11.2.202.233-0oneiric1                  GTK+ control panel for Adobe Flash Player plugin version 11
ii  adobe-flashplugin                      11.2.202.233-0oneiric1                  Adobe Flash Player plugin version 11
sylwester@sylwester-desktop:~$ ls -al /usr/lib/mozilla/plugins
razem 480
drwxr-xr-x 2 root root   4096 2012-05-15 16:25 .
drwxr-xr-x 3 root root   4096 2011-10-12 16:30 ..
lrwxrwxrwx 1 root root     37 2012-05-15 16:25 flashplugin-alternative.so -> /etc/alternatives/mozilla-flashplugin
-rw-r--r-- 1 root root  95760 2011-10-18 07:14 libtotem-cone-plugin.so
-rw-r--r-- 1 root root 100232 2011-10-18 07:14 libtotem-gmp-plugin.so
-rw-r--r-- 1 root root  71204 2011-10-18 07:14 libtotem-mully-plugin.so
-rw-r--r-- 1 root root  79564 2011-10-18 07:14 libtotem-narrowspace-plugin.so
-rw-r--r-- 1 root root 126604 2011-10-20 10:07 libvlcplugin.so
sylwester@sylwester-desktop:~$ 
caViator
Sędziwy Jeż
Sędziwy Jeż
Posty: 89
Rejestracja: 06 lut 2012, 21:37
Płeć: Mężczyzna
Wersja Ubuntu: 12.04
Środowisko graficzne: KDE Plasma
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: caViator » 15 maja 2012, 16:43

Zrestartuj teraz kompa i zobacz czy działa. Jeśli nie, to utwórz dodatkowego użytkownika w systemie, zaloguj się na niego i sprawdź czy działa flash. Jeśli też nie, to ja się poddaję.

Możesz jeszcze przeinstalować firefoxa.

Kod: Zaznacz cały

sudo aptitude purge --purge firefox-locale-pl firefox

Kod: Zaznacz cały

sudo aptitude clean

Kod: Zaznacz cały

sudo aptitude purge ~c

Kod: Zaznacz cały

sudo aptitude install firefox-locale-pl firefox
Na koniec wpisz w pasku adresu Firefox

Kod: Zaznacz cały

about:plugins
i wklej tu co pokarze.
sysz
Piegowaty Guziec
Piegowaty Guziec
Posty: 15
Rejestracja: 14 mar 2012, 13:07
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86

Re: Adobe flash nie mogę zainstalować na ubuntu 11.10

Post autor: sysz » 15 maja 2012, 18:10

Jest tak. Z nowego konta nie działa, jako gość również. Reinstalacja przeglądarki nic nowego nie wniosła. Wklejam jakie pluginy są:

Kod: Zaznacz cały

Włączone wtyczki
Więcej informacji o wtyczkach znajdziesz na mozilla.org.
Aktualizacje dla wtyczek znajdziesz na mozilla.com/plugincheck.
Pomoc dotycząca instalacji wtyczek jest dostępna na plugindoc.mozdev.org.
Shockwave Flash

    Plik: libflashplayer.so
    Wersja: 
    Shockwave Flash 11.2 r202

Typ MIME 	Opis 	Rozszerzenia
application/x-shockwave-flash 	Shockwave Flash 	swf
application/futuresplash 	FutureSplash Player 	spl
VLC Multimedia Plug-in

    Plik: libvlcplugin.so
    Wersja: 
    Version 1.1.12 The Luggage, copyright 1996-2007 The VideoLAN Team
    http://www.videolan.org/

Typ MIME 	Opis 	Rozszerzenia
audio/mpeg 	MPEG audio 	mp2,mp3,mpga,mpega
audio/x-mpeg 	MPEG audio 	mp2,mp3,mpga,mpega
video/mpeg 	MPEG video 	mpg,mpeg,mpe
video/x-mpeg 	MPEG video 	mpg,mpeg,mpe
video/mpeg-system 	MPEG video 	mpg,mpeg,mpe,vob
video/x-mpeg-system 	MPEG video 	mpg,mpeg,mpe,vob
audio/x-mpegurl 	MPEG audio 	m3u
video/mp4 	MPEG-4 video 	mp4,mpg4
audio/mp4 	MPEG-4 audio 	mp4,mpg4
audio/x-m4a 	MPEG-4 audio 	m4a
application/mpeg4-iod 	MPEG-4 video 	mp4,mpg4
application/mpeg4-muxcodetable 	MPEG-4 video 	mp4,mpg4
video/x-m4v 	MPEG-4 video 	m4v
video/x-msvideo 	AVI video 	avi
video/quicktime 	QuickTime video 	mov,qt
application/x-ogg 	Ogg stream 	ogg
application/ogg 	Ogg stream 	ogg
video/ogg 	Ogg video 	ogv
application/x-vlc-plugin 	VLC plug-in 	vlc
video/x-ms-asf-plugin 	Windows Media Video 	asf,asx
video/x-ms-asf 	Windows Media Video 	asf,asx
application/x-mplayer2 	Windows Media 	
video/x-ms-wmv 	Windows Media 	wmv
video/x-ms-wvx 	Windows Media Video 	wvx
audio/x-ms-wma 	Windows Media Audio 	wma
application/x-google-vlc-plugin 	Google VLC plug-in 	
audio/wav 	WAV audio 	wav
audio/x-wav 	WAV audio 	wav
audio/3gpp 	3GPP audio 	3gp,3gpp
video/3gpp 	3GPP video 	3gp,3gpp
audio/3gpp2 	3GPP2 audio 	3g2,3gpp2
video/3gpp2 	3GPP2 video 	3g2,3gpp2
video/divx 	DivX video 	divx
video/flv 	FLV video 	flv
video/x-flv 	FLV video 	flv
video/x-matroska 	Matroska video 	mkv
audio/x-matroska 	Matroska audio 	mka
application/xspf+xml 	Playlist xspf 	xspf
video/webm 	WebM video 	webm
audio/webm 	WebM audio 	webm
audio/amr 	AMR audio 	amr
Windows Media Player Plug-in 10 (compatible; Totem)

    Plik: libtotem-gmp-plugin.so
    Wersja: 
    The Totem 3.0.1 plugin handles video and audio streams.

Typ MIME 	Opis 	Rozszerzenia
application/x-mplayer2 	Plik wideo AVI 	avi, wma, wmv
video/x-ms-asf-plugin 	Plik wideo ASF 	asf, wmv
video/x-msvideo 	Plik wideo AVI 	asf, wmv
video/x-ms-asf 	Plik wideo ASF 	asf
video/x-ms-wmv 	Plik wideo Windows Media 	wmv
video/x-wmv 	Plik wideo Windows Media 	wmv
video/x-ms-wvx 	Plik wideo Windows Media 	wmv
video/x-ms-wm 	Plik wideo Windows Media 	wmv
video/x-ms-wmp 	Plik wideo Windows Media 	wmv
application/x-ms-wms 	Plik wideo Windows Media 	wms
application/x-ms-wmp 	Plik wideo Windows Media 	wmp
application/asx 	Lista odtwarzania Microsoft ASX 	asx
audio/x-ms-wma 	Plik dźwiękowy Windows Media 	wma
DivX® Web Player

    Plik: libtotem-mully-plugin.so
    Wersja: 
    DivX Web Player version 1.4.0.233

Typ MIME 	Opis 	Rozszerzenia
video/divx 	Plik wideo AVI 	divx
VLC Multimedia Plugin (compatible Totem 3.0.1)

    Plik: libtotem-cone-plugin.so
    Wersja: 
    The Totem 3.0.1 plugin handles video and audio streams.

Typ MIME 	Opis 	Rozszerzenia
application/x-vlc-plugin 	VLC Multimedia Plugin 	
application/vlc 	VLC Multimedia Plugin 	
video/x-google-vlc-plugin 	VLC Multimedia Plugin 	
application/x-ogg 	Plik multimedialny Ogg 	ogg
application/ogg 	Plik multimedialny Ogg 	ogg
audio/ogg 	Plik dźwiękowy Ogg 	oga
audio/x-ogg 	Plik dźwiękowy Ogg 	ogg
video/ogg 	Plik wideo Ogg 	ogv
video/x-ogg 	Plik wideo Ogg 	ogg
application/annodex 	Format wymiany Annodex 	anx
audio/annodex 	Plik dźwiękowy Annodex 	axa
video/annodex 	Plik wideo Annodex 	axv
video/mpeg 	Plik wideo MPEG 	mpg, mpeg, mpe
audio/wav 	Plik dźwiękowy WAV 	wav
audio/x-wav 	Plik dźwiękowy WAV 	wav
audio/mpeg 	Plik dźwiękowy MP3 	mp3
application/x-nsv-vp3-mp3 	Plik wideo NullSoft 	nsv
video/flv 	Plik wideo Flash 	flv
video/webm 	Plik wideo WebM 	webm
application/x-totem-plugin 	Totem Multimedia plugin 	
audio/midi 	Plik dźwiękowy MIDI 	mid, midi
QuickTime Plug-in 7.6.6

    Plik: libtotem-narrowspace-plugin.so
    Wersja: 
    The Totem 3.0.1 plugin handles video and audio streams.

Typ MIME 	Opis 	Rozszerzenia
video/quicktime 	Plik wideo QuickTime 	mov
video/mp4 	Plik wideo MPEG-4 	mp4
image/x-macpaint 	Obraz bitmapowy MacPaint 	pntg
image/x-quicktime 	Rysunek Quickdraw/PICT Macintosh 	pict, pict1, pict2
video/x-m4v 	Plik wideo MPEG-4 	m4v
Popróbuję jeszcze z inną wersją przeglądarki FF. Może Operę lub jeszcze inną, to już tylko z ciekawości. Wypróbuję najpierw livecd. Zaistniała sytuacja mnie nie martwi. Dysk którego teraz używam służy mi do celów edukacyjnych mogę instalować na nim system codziennie. Ważne rzeczy trzymam gdzie indziej. Napiszę co dalej.
Dzięki i Pozdrówka

-- 18 maja 2012, o 15:22 --

Odświeżam. Wydaje mi się że doszedłem co jest przyczyną takiego stanu rzeczy. Wszystkie moje zabiegi nie przyniosły rezultatu. Sporządziłem obraz ISO płyty instalacyjnej, którą posiadam, za pomocą programu K3b, gdzie można sprawdzić sumę, wyszło

Kod: Zaznacz cały

dbc3f21775bf9ecdab62ebf8b7c33e80
Stwierdziłem że suma kontrolna obrazu MD5SUMS nie pasuje do obrazu jaki można znaleźć w sieci.
Wniosek: Przed instalacją systemu należy sprawdzić z czego instalujemy. Być może błędy na płytce przyczyniły się do tej sytuacji. Zastanawia mnie czy jest sposób na weryfikację posiadanego obrazu ISO z zamieszczonym w sieci i czy jest możliwość jego naprawy przez podmianę uszkodzonego fragmentu. Oczywiście najprościej pobrać na nowo. Ale to już chyba na nowy temat.
Pozdrawiam sysz
ODPOWIEDZ

Wróć do „Przedszkole Linuksa”

Kto jest online

Użytkownicy przeglądający to forum: Google [Bot] i 39 gości